<?php


class JobsSectionType implements INodeType
{

    public function getName()
    {
        return 'Подраздел “Васкансии”';
    }

    public function isRootNode()
    {
        return false;
    }

    public function getNestedTypes()
    {
        return array(
        );
    }


    public function getActions()
    {
        return array(
            'editJobsSection',
            'aboutJob'
        );
    }

    public function actionLabels(){
        return array(
            'editJobsSection'=>'Данные страницы',
            'aboutJob'=>'Вакансии',
        );
    }

    public function createAction($name, $controller, $id = null)
    {
        if($id===null)$id = $name;
        require __DIR__ . '/actions/' . ucfirst($name) . 'Action.php';
        $actionClass = ucfirst($name) . 'Action';
        return new $actionClass($controller, $id);
    }

    /**
     * @return string
     */
    public function getDefaultAction()
    {
        return 'editJobsSection';
    }


    public function deleteData($id)
    {
        $model = JobsSection::model()->findByPk($id);
        if($model != null) $model->delete();
    }
}
